# exam_mode

## Description / use cases

Activating exam_mode provides following functionalities:
* when -exam user logs in, firewalld.service will start and prevent communication between devices in the same local network
* home- and media-directory of -exam users will be renamed (on the next day) and removed (after some days).  
  This is important due the fact, that -exam user will be new created (with new user-id) on exam-mode initialisation.  
  Without renaming/deleting the home- and media-directory, the -exam user couldn't log in twice on the same pc.  
  Particularly important on machines with localhome

## Requirements

none

## Example

Per default, all hosts will get exam_mode. But we don't want exam_mode on teacher devices

inventory.yml
```
teacherdevices:
  hosts:
    10.0.14.[1..75]
  vars:
    exam_mode: false
```
